# kabc Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KABC::AddressBook::ConstIterator Class Reference

Address Book Const Iterator. More...

`#include <addressbook.h>`

List of all members.

## Public Member Functions

| ConstIterator (const ConstIterator &)
| ConstIterator (const Iterator &)
ConstIterator & | operator= (const ConstIterator &)
const Addressee & | operator * () const
const Addressee * | operator-> () const
ConstIterator & | operator++ ()
ConstIterator & | operator++ (int)
ConstIterator & | operator-- ()
ConstIterator & | operator-- (int)
bool | operator== (const ConstIterator &it)
bool | operator!= (const ConstIterator &it)

## Public Attributes

ConstIteratorData * | d

## Detailed Description

Address Book Const Iterator.

This class provides a const iterator for address book entries.

Definition at line 84 of file addressbook.h.

The documentation for this class was generated from the following file:

- addressbook.h

This file is part of the documentation for kabc Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:31:35 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003